
Figure - 开发 Dev #112191
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110125 (New): 【MK】【BSP】管理总票

开发 Dev # 112089 (New): 【MK】【012】【TSNV】主任务

【MK】【012】【TSNV】Uart开关
2022-09-28 13:59 - CD BSP-丁武伟

Status: 完成 Closed Start date: 2022-09-28

Priority: Normal Due date: 2022-09-30

Assignee: CD BSP-丁武伟 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Description

通过TSNV控制Uart的开关

History

#1 - 2022-10-08 11:17 - CD BSP-丁武伟

- Status changed from New to 解决 Resolved

- % Done changed from 50 to 100

1. userdebug默认串口开启

2. user版本可以通过先刷userdebug版本开启串口：tsnv_test -w -s 4 -n 22 -d 1

#2 - 2022-10-31 20:08 - CD BSP-唐金泽

- Due date set to 2022-09-30

- Status changed from 解决 Resolved to 完成 Closed

研发端验证ok

#3 - 2022-12-22 20:38 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152554 general/abl/tianocore/edk2 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dingww0707@thundersoft.com

BSP:TSNV: Uart switch1. Uart switch controlled by TSNV2. Uart is enable for userdebug buildTC-RID:  1200-0102002IssueID: TS-R-DF-112191Change-Id:

Ie6fed10b6a72067050d6705ffd56761faa64fbf9

#4 - 2022-12-22 20:38 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152559 general/vendor/thundercomm/produc

2025-07-04 1/2

Pre_figure_turbox-c2130c-la1.1-vendo dingww0707@thundersoft.com



ts/figure r-dev

BSP:TSNV: Uart switchremove ealycomm to avoid crash when uart is off,the same parameter can passed by edk2TC-RID:  1200-0102002IssueID:

TS-R-DF-112191Change-Id: Ie98b6d25365e7a7e3b2426d60fa72965195105bb

#5 - 2022-12-22 20:39 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152734 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dingww0707@thundersoft.com

BSP:TSNV: Uart switchturn console for user,uart switch is controlled by tsnv nowTC-RID:  1200-0102002IssueID: TS-R-DF-112191Change-Id:

I3c5c09dd796907053d7e151d585d5eadc70c8d7d

2025-07-04 2/2


